org.apache.hadoop.yarn.server.webapp.dao

## Class AppInfo

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.dao.AppInfo

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class AppInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `appId`
    `protected String` | `applicationTags`
    `protected org.apache.hadoop.yarn.api.records.YarnApplicationState` | `appState`
    `protected String` | `currentAppAttemptId`
    `protected String` | `diagnosticsInfo`
    `protected long` | `elapsedTime`
    `protected org.apache.hadoop.yarn.api.records.FinalApplicationStatus` | `finalAppStatus`
    `protected long` | `finishedTime`
    `protected String` | `host`
    `protected String` | `name`
    `protected String` | `originalTrackingUrl`
    `protected int` | `priority`
    `protected float` | `progress`
    `protected String` | `queue`
    `protected int` | `rpcPort`
    `protected int` | `runningContainers`
    `protected long` | `startedTime`
    `protected String` | `trackingUrl`
    `protected String` | `type`
    `protected boolean` | `unmanagedApplication`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppInfo()`
    `AppInfo(org.apache.hadoop.yarn.api.records.ApplicationReport app)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAggregatePreemptedResourceAllocation()`
    `String` | `getAggregateResourceAllocation()`
    `long` | `getAllocatedCpuVcores()`
    `long` | `getAllocatedGpus()`
    `long` | `getAllocatedMemoryMB()`
    `String` | `getAmNodeLabelExpression()`
    `String` | `getAppId()`
    `String` | `getApplicationTags()`
    `String` | `getAppNodeLabelExpression()`
    `org.apache.hadoop.yarn.api.records.YarnApplicationState` | `getAppState()`
    `String` | `getCurrentAppAttemptId()`
    `String` | `getDiagnosticsInfo()`
    `long` | `getElapsedTime()`
    `org.apache.hadoop.yarn.api.records.FinalApplicationStatus` | `getFinalAppStatus()`
    `long` | `getFinishedTime()`
    `String` | `getHost()`
    `long` | `getLaunchTime()`
    `String` | `getName()`
    `String` | `getOriginalTrackingUrl()`
    `int` | `getPriority()`
    `float` | `getProgress()`
    `String` | `getQueue()`
    `long` | `getReservedCpuVcores()`
    `long` | `getReservedGpus()`
    `long` | `getReservedMemoryMB()`
    `int` | `getRpcPort()`
    `int` | `getRunningContainers()`
    `long` | `getStartedTime()`
    `long` | `getSubmittedTime()`
    `String` | `getTrackingUrl()`
    `String` | `getType()`
    `String` | `getUser()`
    `boolean` | `isUnmanagedApp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### appId

          protected String appId

    - #### currentAppAttemptId

          protected String currentAppAttemptId

    - #### user

          protected String user

    - #### name

          protected String name

    - #### queue

          protected String queue

    - #### type

          protected String type

    - #### host

          protected String host

    - #### rpcPort

          protected int rpcPort

    - #### appState

          protected org.apache.hadoop.yarn.api.records.YarnApplicationState appState

    - #### runningContainers

          protected int runningContainers

    - #### progress

          protected float progress

    - #### diagnosticsInfo

          protected String diagnosticsInfo

    - #### originalTrackingUrl

          protected String originalTrackingUrl

    - #### trackingUrl

          protected String trackingUrl

    - #### finalAppStatus

          protected org.apache.hadoop.yarn.api.records.FinalApplicationStatus finalAppStatus

    - #### startedTime

          protected long startedTime

    - #### finishedTime

          protected long finishedTime

    - #### elapsedTime

          protected long elapsedTime

    - #### applicationTags

          protected String applicationTags

    - #### priority

          protected int priority

    - #### unmanagedApplication

          protected boolean unmanagedApplication

  - ### Constructor Detail

    - #### AppInfo

          public AppInfo()

    - #### AppInfo

          public AppInfo(org.apache.hadoop.yarn.api.records.ApplicationReport app)

  - ### Method Detail

    - #### getAppId

          public String getAppId()

    - #### getCurrentAppAttemptId

          public String getCurrentAppAttemptId()

    - #### getUser

          public String getUser()

    - #### getName

          public String getName()

    - #### getQueue

          public String getQueue()

    - #### getType

          public String getType()

    - #### getHost

          public String getHost()

    - #### getRpcPort

          public int getRpcPort()

    - #### getAppState

          public org.apache.hadoop.yarn.api.records.YarnApplicationState getAppState()

    - #### getRunningContainers

          public int getRunningContainers()

    - #### getAllocatedCpuVcores

          public long getAllocatedCpuVcores()

    - #### getAllocatedMemoryMB

          public long getAllocatedMemoryMB()

    - #### getAllocatedGpus

          public long getAllocatedGpus()

    - #### getReservedCpuVcores

          public long getReservedCpuVcores()

    - #### getReservedMemoryMB

          public long getReservedMemoryMB()

    - #### getReservedGpus

          public long getReservedGpus()

    - #### getProgress

          public float getProgress()

    - #### getDiagnosticsInfo

          public String getDiagnosticsInfo()

    - #### getOriginalTrackingUrl

          public String getOriginalTrackingUrl()

    - #### getTrackingUrl

          public String getTrackingUrl()

    - #### getFinalAppStatus

          public org.apache.hadoop.yarn.api.records.FinalApplicationStatus getFinalAppStatus()

    - #### getSubmittedTime

          public long getSubmittedTime()

    - #### getLaunchTime

          public long getLaunchTime()

    - #### getStartedTime

          public long getStartedTime()

    - #### getFinishedTime

          public long getFinishedTime()

    - #### getElapsedTime

          public long getElapsedTime()

    - #### getApplicationTags

          public String getApplicationTags()

    - #### isUnmanagedApp

          public boolean isUnmanagedApp()

    - #### getPriority

          public int getPriority()

    - #### getAppNodeLabelExpression

          public String getAppNodeLabelExpression()

    - #### getAmNodeLabelExpression

          public String getAmNodeLabelExpression()

    - #### getAggregateResourceAllocation

          public String getAggregateResourceAllocation()

    - #### getAggregatePreemptedResourceAllocation

          public String getAggregatePreemptedResourceAllocation()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.